curl --request POST \
--url https://app.spotzee.com/api/ext/ai/email/subject-line-score \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'subject_line=Limited Time Offer: 50% Off All Products'{
"status": "success",
"data": {
"obtainedScore": 108,
"totalCritereaScore": 140,
"finalScorePercentage": 77,
"finalIndividualScore": {
"scannabilityScore": {
"actualValue": 72.5,
"score": 9
},
"readingGradeLevel": {
"actualValue": 7.8,
"score": 10
},
"character": {
"actualValue": 42,
"score": 10
},
"word": {
"actualValue": 8,
"score": 9
},
"sentimentAnalysis": {
"actualValue": 3,
"score": 10
},
"RE_word": {
"actualValue": 0,
"score": 10
},
"FWD_word": {
"actualValue": 0,
"score": 10
},
"free_word": {
"actualValue": 0,
"score": 10
},
"spammy_word": {
"actualValue": 0,
"score": 10
},
"exclamationMark": {
"actualValue": 1,
"score": 8
},
"wordWithAllCapitalCharacter": {
"actualValue": 1,
"score": 7
},
"punctuation": {
"actualValue": 2,
"score": 8
},
"FNAME_word": {
"actualValue": 1,
"score": 7
},
"emojis": {
"actualValue": 0,
"score": 0
}
}
}
}Analyzes and scores your email subject line based on multiple criteria including readability, word count, sentiment, spam indicators, and more. Uses local analysis algorithms to provide detailed breakdown of scores for each criterion without making external API calls.
curl --request POST \
--url https://app.spotzee.com/api/ext/ai/email/subject-line-score \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'subject_line=Limited Time Offer: 50% Off All Products'{
"status": "success",
"data": {
"obtainedScore": 108,
"totalCritereaScore": 140,
"finalScorePercentage": 77,
"finalIndividualScore": {
"scannabilityScore": {
"actualValue": 72.5,
"score": 9
},
"readingGradeLevel": {
"actualValue": 7.8,
"score": 10
},
"character": {
"actualValue": 42,
"score": 10
},
"word": {
"actualValue": 8,
"score": 9
},
"sentimentAnalysis": {
"actualValue": 3,
"score": 10
},
"RE_word": {
"actualValue": 0,
"score": 10
},
"FWD_word": {
"actualValue": 0,
"score": 10
},
"free_word": {
"actualValue": 0,
"score": 10
},
"spammy_word": {
"actualValue": 0,
"score": 10
},
"exclamationMark": {
"actualValue": 1,
"score": 8
},
"wordWithAllCapitalCharacter": {
"actualValue": 1,
"score": 7
},
"punctuation": {
"actualValue": 2,
"score": 8
},
"FNAME_word": {
"actualValue": 1,
"score": 7
},
"emojis": {
"actualValue": 0,
"score": 0
}
}
}
}Bearer token authentication. Use format: Bearer YOUR_API_KEY
Email subject line to analyze and score
"Limited Time Offer: 50% Off All Products"
Successfully scored subject line
success Hide child attributes
Total score obtained based on all criteria
108
Maximum possible score (number of criteria × 10)
140
Final score as a percentage (0-100)
0 <= x <= 10077
Detailed breakdown of individual scoring criteria
Hide child attributes
Was this page helpful?